%define upstream_name    Number-Fraction
%define upstream_version v3.0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension to model fractions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(overload)
BuildArch:  noarch

%description
Number::Fraction allows you to work with fractions (i.e. rational numbers)
in your Perl programs in a very natural way.

It was originally written as a demonstration of the techniques of
overloading.

If you use the module in your program in the usual way

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 3.0.4-2.mga9
+ Revision: 1820635
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 tv <tv> 3.0.4-1.mga9
+ Revision: 1716871
- update to v3.0.4

* Wed Dec 09 2020 tv <tv> 3.0.3-1.mga8
+ Revision: 1654814
- update to v3.0.3

* Mon Dec 07 2020 tv <tv> 3.0.2-1.mga8
+ Revision: 1654129
- Update to 3.0.2 (fix testsuite vs missing Moose)
- update to v3.0.1

* Sat Feb 15 2020 umeabot <umeabot> 2.10.0-4.mga8
+ Revision: 1523776
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 2.10.0-3.mga7
+ Revision: 1374770
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 2.10.0-2.mga7
+ Revision: 1285443
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 2.10.0-1.mga7
+ Revision: 1207232
- update to 2.01

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-6.mga6
+ Revision: 1031350
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.0.0-5.mga6
+ Revision: 931552
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 744241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 685759
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 525247
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 2.0.0-1.mga4
+ Revision: 432604
- update to 2.00

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0-2.mga3
+ Revision: 370999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 1.140.0-1.mga2
+ Revision: 172172
- update to 1.14

* Sat Nov 26 2011 kharec <kharec> 1.130.0-1.mga2
+ Revision: 172157
- imported package perl-Number-Fraction


* Sat Nov 26 2011 cpan2dist 1.13-1mga
- initial mageia release, generated with cpan2dist
